Subject: bug#16190: 23.4; M-x captialize-word works incorrectly

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Dec 2013 05:51:02 +0200

> Date: Thu, 12 Dec 2013 23:03:28 -0500
> From: Caleb Wakeman <[email-masked]>
> 
> With point in the middle of a word, I ran M-x capitalize-word.  Rather 
> than capitalize the first letter of the word, as I expected, it 
> capitalized the character at point and moved point to the end of the 
> word.  (Specifically, rather than change `word' (wo-!-rd) to `Word', it 
> changed it to `woRd'.)

That's how capitalize-word is supposed to work.  It's not a bug, but
intended behavior.